QGIS Application - Bug report #10558
Unexpected interactions between labelling and diagrams
2014-06-12 12:50 AM - Tim Sutton

Status: Closed

Priority: High

Assignee: Larry Shaffer

Category: Labelling

Affected QGIS version:2.2.0 Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 18965
Description

| get some strange interactions between labels and diagrams. In particular:
- Adding pi diagrams to my layer works, but for one area, no pie is rendered...
- ...until  go and enable labelling in which case no labels render, but the missing pie chart shows ...
- ...until | disable labelling in which case all pies are hidden...

I made a small screencast which illustrates this - | will add the link after submitting this ticket.

The sample dataset used in the screencasts is attached to this issue.

| am giving this issue "high™ priority since currently pie and labels cannot be used together in the same layer.

History

#1 - 2014-06-12 12:57 AM - Tim Sutton

Here is the screencast | made demonstrating some of the rendering issues.

http://www.youtube.com/watch?v=CGCy6ZkIn8w

#2 - 2014-06-28 07:45 AM - Jiirgen Fischer

- Target version changed from Version 2.4 to Future Release - High Priority

#3 - 2015-04-13 06:25 AM - Nyall Dawson

- Status changed from Open to Feedback

Can you test again with current master version? A lot of diagram related fixes have landed which should have solved this.

#4 - 2015-05-22 04:44 AM - Giovanni Manghi
- Resolution set to fixed/implemented
- Status changed from Feedback to Closed

seems fixed in the latest master, reopen if necessary.
